MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001989VCMIMechanics - Objectspublic2014-12-10 17:502016-04-07 13:44
ReporterPovelitel 
Assigned Tovmarkovtsev 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.97 
Target VersionFixed in Version0.98g 
Summary0001989: Stables not grade cavaliers in champions
DescriptionWhen visiting the stables can be done free upgrade. This is not happening.
TagsNo tags attached.
Attached Files

- Relationships
related to 0001912closedSXX Stables not give a bonus movement points? 
related to 0001916closedvmarkovtsev Water Wheel give 500 gold on week 2 (need 1000) 
related to 0002264resolvedvmarkovtsev Learning Stone not propely showing gained experience points 

-  Notes
(0005210)
Povelitel (updater)
2014-12-10 22:16

Not sure, but probably applies here 1972 too
(0005225)
SXX (administrator)
2014-12-20 14:11

This one isn't implemented yet. There is some code to do the upgrade, but it's comented out as TODO.
(0005368)
SXX (administrator)
2015-01-08 08:14
edited on: 2015-01-08 08:15

Interesting note on H3 behaviour for this upgrade.

In H3 hero that have Champions in his army get upgrade even if he already visited stables in Castle Town this week. Though caption on hover still show stables as "visited" for such hero before upgrade.

(0006387)
Warmonger (administrator)
2016-01-30 17:42
edited on: 2016-01-30 17:42

>> There is some code to do the upgrade, but it's comented out as TODO.

I wrote that part and it worked at least, didn't see any complains or bug reports. Probably got commented out on object refactoring.

(0006389)
vmarkovtsev (developer)
2016-01-30 20:59

https://github.com/vcmi/vcmi/pull/183 [^]
I preserved every aspect from OH3 - even UI behavior with already visited stables, as SXX described.
(0006390)
vmarkovtsev (developer)
2016-01-30 21:00

@Warmonger: some refactoring rendered your code useless, so it was commented out. I had to kind of hack to recover.

- Issue History
Date Modified Username Field Change
2014-12-10 17:50 Povelitel New Issue
2014-12-10 17:50 Povelitel Status new => assigned
2014-12-10 17:50 Povelitel Assigned To => Warmonger
2014-12-10 21:43 Warmonger Relationship added related to 0001912
2014-12-10 22:16 Povelitel Note Added: 0005210
2014-12-20 14:11 SXX Note Added: 0005225
2015-01-08 08:14 SXX Note Added: 0005368
2015-01-08 08:15 SXX Note Edited: 0005368 View Revisions
2015-02-15 04:06 SXX Relationship added related to 0002083
2015-10-17 02:29 SXX Relationship added related to 0001916
2015-12-24 18:47 SXX Relationship added related to 0002264
2015-12-24 18:49 SXX Assigned To Warmonger =>
2015-12-24 18:49 SXX Status assigned => acknowledged
2015-12-24 22:56 SXX Relationship deleted related to 0002083
2016-01-30 16:29 vmarkovtsev Assigned To => vmarkovtsev
2016-01-30 16:29 vmarkovtsev Status acknowledged => assigned
2016-01-30 17:42 Warmonger Note Added: 0006387
2016-01-30 17:42 Warmonger Note Edited: 0006387 View Revisions
2016-01-30 20:59 vmarkovtsev Note Added: 0006389
2016-01-30 21:00 vmarkovtsev Note Added: 0006390
2016-02-02 01:02 SXX Status assigned => resolved
2016-02-02 01:02 SXX Fixed in Version => 0.98g
2016-02-02 01:02 SXX Resolution open => fixed
2016-04-07 13:44 Povelitel Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean